### Method

# Gimp Procedure get_icon_name

#### Declaration [src]

    const gchar*
    gimp_procedure_get_icon_name (
      GimpProcedure* procedure
    )

#### Description [src]

Gets the name of the icon if one was set for `procedure`.

Available since: | 3.0

#### Return value

Returns: | `const gchar*`
| The icon name or `NULL` if no icon name was set.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.